Package org.eclipse.emf.cdo.spi.common.revision

# Class MapRevisionProvider

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<CDOID,CDORevision>
org.eclipse.emf.cdo.spi.common.revision.MapRevisionProvider

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<CDOID,CDORevision>`, `CDORevisionProvider`

public class MapRevisionProvider extends HashMap<CDOID,CDORevision> implements CDORevisionProvider
A revision providing `HashMap`.

Since:
  4.18
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`MapRevisionProvider()`
`MapRevisionProvider(int initialCapacity)`
`MapRevisionProvider(int initialCapacity, float loadFactor)`
`MapRevisionProvider(Map<? extends CDOID,? extends CDORevision> m)`

## Method Summary

Modifier and Type
Method
Description
`CDORevision`
`getRevision(CDOID id)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### MapRevisionProvider

public MapRevisionProvider()

### MapRevisionProvider

public MapRevisionProvider(int initialCapacity, float loadFactor)

### MapRevisionProvider

public MapRevisionProvider(int initialCapacity)

### MapRevisionProvider

public MapRevisionProvider(Map<? extends CDOID,? extends CDORevision> m)

## Method Details

### getRevision

public CDORevision getRevision(CDOID id)

Specified by:
  `getRevision` in interface `CDORevisionProvider`